package com.iamberry.wechat.service.wechat;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.iamberry.wechat.core.entity.wx.MenuKeySet;
import com.iamberry.wechat.face.wechat.MenuKeySetService;
import com.iamberry.wechat.service.wechat.dao.MenuKeySetDAO;

@Service
public class MenuKeySetServiceImpl implements MenuKeySetService {
	@Autowired
	private MenuKeySetDAO menuKeySetDAO;
	public void setMenuKeySetDAO(MenuKeySetDAO menuKeySetDAO) {
		this.menuKeySetDAO = menuKeySetDAO;
	}

	@Override
	public int insert(MenuKeySet menuKeySet) {
		return menuKeySetDAO.insert(menuKeySet);
	}

	@Override
	public int update(MenuKeySet menuKeySet) {
		return menuKeySetDAO.update(menuKeySet);
	}

	@Override
	public int deleteByPubNo(String pubNo) {
		return menuKeySetDAO.deleteByPubNo(pubNo);
	}

	@Override
	public MenuKeySet selectByPubNoAndKeyWord(String pubNo, String keyword) {
		return menuKeySetDAO.selectByPubNoAndKeyWord(pubNo, keyword);
	}
	
}
